#!/bin/sh

progname=`echo $0 | sed 's,^.*/,,'`
suffix_list=".tar.gz .tar.Z .tgz .taZ .tar .zip .Lzh"
suffix=.tgz
basefile=
difffile=

if [ -n $TMPDIR ]; then
  tmpdir=$TMPDIR
else
  tmpdir=/tmp
fi

# update GNU bash
basefile=`pwd`/bashdbg${suffix}
difffiles="`pwd`/bashdbg*${suffix}"

# suppress basefile
difffiles=`echo $difffiles | sed "s,${basefile},," | sort`

if [ -z "$difffiles" ]; then
  echo "${progname}: t@C͂܂" 1>&2
  exit 0
fi

if [ ! -f $basefile ]; then
  echo "${progname}: t@C '$basefile' ܂" 1>&2
  exit 1
fi

rm -rf $tmpdir/update
mkdir $tmpdir/update

echo "extracting in $basefile"
(cd $tmpdir/update; \
 gzcat $basefile | tar xf - bash README\*)
mv $tmpdir/update/README* .

for file in $difffiles
do
  echo "patching in $file"
  (cd $tmpdir/update; \
   gzcat $file | tar xf - bash.bfd README\*; \
   bup -NA bash.bfd >& /dev/null; rm -f bash.bfd)
  mv $tmpdir/update/README* .
done

echo "patched."
mv $tmpdir/update/bash .
chmod 777 bash

echo "cleaning temporary"
rm -rf $tmpdir/update

exit 0
